%define version_major 0.96
%define version_minor 11

Name:           corrida
Version:        %{version_major}.%{version_minor}
Release:        1%{?dist}
Summary:        Application for archivation of meteor observations

Group:          Amusements/Graphics
License:        GPLv2
URL:            http://corrida.pkim.org/
Source0:        http://corrida.pkim.org/releases/corrida-%{version_major}-%{version_minor}.tar.gz
Source1:        corrida.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils

%description
Application was designed by Polish Fireball Center cooperators to ease
archivation of meteor observations.


%prep
%setup -q -n corrida-%{version_major}-%{version_minor}


%build
find . -type f |xargs chmod 0644
make %{?_smp_mflags} PREFIX=%{_prefix}/ CFLAGS="%{optflags}"
convert common/corrida.ico corrida.png


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}/

# Directory structure
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -d $RPM_BUILD_ROOT%{_datadir}/applications

# Icon
install -pm 0644 corrida.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

# Menu entry
desktop-file-install --vendor=fedora %{SOURCE1} \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/corrida
%{_bindir}/torero
%{_datadir}/corrida
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%doc copying


%changelog
* Sun Nov 02 2008 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.96.11-1
- Initial packaging attempt
